@echo off
cd /d %~dp0
echo.
Pnputil /add-driver ".\IODriver\GPIO2\GPIO2 Driver\W11x64\amdgpio2.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\GPIO2\GPIO2 Driver\WTx64\amdgpio2.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\I2C\I2C Driver\W11x64\amdi2c.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\I2C\I2C Driver\WTx64\amdi2c.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\IOV\IOV Driver\W11x64\AmdIOV.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\IOV\IOV Driver\WTx64\AmdIOV.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\MicroPEP\MicroPEP Driver\W11x64\AmdMicroPEP.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\MicroPEP\MicroPEP Driver\WTx64\AmdMicroPEP.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\PCI\PCI Driver\W11x64\AMDPCIDev.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\PCI\PCI Driver\WTx64\AMDPCIDev.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\PSP\PSP Driver\W11x64\amdpsp.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\PSP\PSP Driver\WTx64\amdpsp.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\SFH\SFH Driver\W11x64\amdsfhkmdf\amdsfhkmdf.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\SFH\SFH Driver\W11x64\amdsfhumdf\amdsfhumdf.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\SFH\SFH Driver\WTx64\amdsfhkmdf\amdsfhkmdf.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\SFH\SFH Driver\WTx64\amdsfhumdf\amdsfhumdf.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\SMBUS\SMBus Driver\W11x64\SMBUSamd.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\SMBUS\SMBus Driver\WTx64\SMBUSamd.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\UART\UART Driver\W11x64\amduart.inf" /install
echo ReturnCode is %errorlevel%
echo.
Pnputil /add-driver ".\IODriver\UART\UART Driver\WTx64\amduart.inf" /install
echo ReturnCode is %errorlevel%
echo.
echo.
echo Install AMD_Ryzen_Balanced-Driver.msi
msiexec.exe /i "Apps\RyzenPPKG\AMD_Ryzen_Balanced-Driver.msi" /qn
echo ReturnCode is %errorlevel%
echo.
echo Install AMDPPMSettings.exe
".\Apps\RyzenPPKG\RyzenPPKG Driver\WTx64\AMDPPMSettings.exe" /install
echo ReturnCode is %errorlevel%

